﻿@model DTO.AdmMemoBookDTO;
@using DTO;
@using zhengcaioa.Models;
@{
    List<PltUserDTO> users = ViewData["users"] as List<PltUserDTO>;
}
@{
    Layout = null;
}
<!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0">
    <meta name="description" content="">
    <meta name="author" content="ThemeBucket">
    <title>@(SiteConfig.SiteName)</title>
    <link href="~/css/bootstrap.min.css" rel="stylesheet">
    <link href="~/css/font-awesome.min.css" rel="stylesheet">
    <link href="~/css/animate.min.css" rel="stylesheet">

    @*<link href="~/css/plugins/iCheck/custom.css" rel="stylesheet">*@
    <link href="~/css/style.min.css" rel="stylesheet">
    <link href="~/css/plugins/chosen/chosen.css" rel="stylesheet">
    <link href="~/js/plugins/layer/skin/layer.css" rel="stylesheet">
    @*<link href="~/css/plugins/datapicker/datepicker3.css" rel="stylesheet">*@
    <link href="~/css/style.min.css" rel="stylesheet">
    <link href="~/css/plugins/toastr/toastr.min.css" rel="stylesheet" />
    <link href="~/css/plugins/webuploader/webuploader.css" rel="stylesheet" />

    <!-- jqgrid-->
    <script language="javascript" src="~/js/jquery.min.js" type="text/javascript"></script>
    <script src="~/js/bootstrap.min.js"></script>

    <!--容器-->
    @*<script language="javascript" src="~/js/datehelper.js" type="text/javascript"></script>*@
    @*<script language="javascript" src="~/js/plugins/query/jquery.query-object.js" type="text/javascript"></script>*@
    @*<script language="javascript" src="~/js/plugins/iCheck/icheck.min.js" type="text/javascript"></script>*@
    <script language="javascript" src="~/js/plugins/chosen/chosen.jquery.js" type="text/javascript"></script>
    @*<script language="javascript" src="~/js/plugins/datapicker/bootstrap-datepicker.js" type="text/javascript"></script>*@
    <script language="javascript" src="~/js/plugins/layer/layer.js" type="text/javascript"></script>
    @*<script src="~/js/plugins/jqgrid/jquery.jqGrid.min.js" type="text/javascript"></script>*@
    @*<script src="~/js/plugins/jqgrid/i18n/grid.locale-cn.js" type="text/javascript"></script>*@
    <script src="~/js/plugins/toastr/toastr.min.js" type="text/javascript"></script>
    <script src="~/js/plugins/webuploader/webuploader.min.js"></script>

    <script language="javascript" src="~/js/common-layout.js" type="text/javascript"></script>
    <script src="~/js/plugins/layer/laydate/laydate.js" type="text/javascript"></script>

    @*<script src="~/js/plugins/iTexbox/itextbox.js" type="text/javascript"></script>*@
    @*<script src="~/js/plugins/iuploader/iuploader.js"></script>*@
    <script src="~/js/TUJS.js"></script>
</head>
<body class="gray-bg" style="overflow:auto">
    <style>
        .title {
            width: 80px !important;
            text-align: right !important;
            vertical-align: middle;
            padding-right: 10px;
        }

        .table td {
            display: table-cell;
            vertical-align: middle !important;
            border: none !important;
            padding-top: 8px !important;
        }

        .table tr {
            padding-left: 10px !important;
            border: none !important;
        }

        .data {
            width: 100% !important;
        }
    </style>
    <form method="post" style="background-color:white;">        
        <input type="text" value="1" id="Rtype" name="Rtype" hidden="hidden" >
        <input type="text" value="@Model.Id" id="Id" name="Id" hidden="hidden">
        <table class="table">
            <tr id="trToUser">
                <td class="title">
                    <label>被提醒人</label>
                </td>
                <td>
                    <select id="toUserId" class="data form-control" name="toUserId" data-placeholder="选择 序列 ...">
                        <option value="" hassubinfo="true">请选择</option>
                        @foreach (var item in users)
                        {
                            @if (!item.Id.Equals(Model.ToUserId))
                            {
                                <option value="@item.Id" hassubinfo="true">
                                    @item.UserName
                                </option>
                            }
                            else
                            {
                                <option value="@item.Id" hassubinfo="true" selected="selected">
                                    @item.UserName
                                </option>
                            }

                        }
                        }

                    </select>

                </td>
            </tr>
            <tr>
                <td class="title"><label>提醒时间</label> </td>
                <td>
                    <input type="text" class="layui-input  layer-date  ldate data" label="来电时间" value="@Model.Time.ToString("yyyy-MM-dd HH:mm")" name="Time" id="Time" style="width:150px;margin-right: 4px;" validate="RequiredField" autocomplete="off">
                </td>
            </tr>
            <tr>
                <td class="title"><label id="shixian">提醒事项</label></td>
                <td>
                    <textarea class="data" id="Context" name="Context" style="overflow-y:hidden" cols="60" rows="10">@Model.Context </textarea>
                </td>
            </tr>


        </table>


        <div class="ibox-content" id="top" style="z-index:100; position:fixed; height:50px; width:100%;bottom:0; text-align: right; padding-top:8px ">
            <div class="" style="float:right;" data-bootstro-width="500px" data-bootstro-content="功能按钮：“保存”，“删除”">

                <a class="btn btn-success" href="javascript:void(0)" onclick="Save();" style="margin-left:4px; border-radius:4px;left:350px;">
                    <i class="glyphicon glyphicon-ok"></i>&nbsp;&nbsp;<span class="bold">提交</span>
                </a>
            </div>
        </div>
    </form>

    <script type="text/javascript">
        var hh = document.body.clientHeight - $('.ibox-title').height() - $("#top").height() * 2 - 95;
        $("#div_content").height(hh);

        toastr.options = {
            "closeButton": true,
            "debug": false,
            "progressBar": true,
            "positionClass": "toast-bottom-right",
            "onclick": null,
            "showDuration": "300",
            "hideDuration": "600",
            "timeOut": "4500",
            "extendedTimeOut": "600",
            "showEasing": "swing",
            "hideEasing": "linear",
            "showMethod": "fadeIn",
            "hideMethod": "fadeOut"
        };




        $(function () {
            var rtype = "@ViewBag.Rtype";
            if (rtype === "1") {
                $("#Rtype").val("1");
                $("#shixian").text("提醒事项");
            } else {
                $("#Rtype").val("2");
                $("#shixian").text("备忘事项");
                $("#toUserId").val("@ViewBag.curUserId");
                $("#trToUser").hide();
            }
            $("#toUserId").chosen();
            $(".ldate").each(function (el) {
                laydate({
                    elem: "#" + $(this).attr('id'), //对应id
                    format: 'YYYY-MM-DD hh:mm', //日期格式 // 分隔符可以任意定义，该例子表示只显示年月
                    min: '2021-01-01', //设定最小日期为当前日期
                    max: '2099-06-16', //最大日期
                    type: 'datetime',
                    festival: false, //显示节日
                    istime: true,   //是否显示时分秒
                    istoday: true, //是否是今天
                    choose: function (datas) { //选择日期完毕的回调

                    }
                });

            });



        })


        function Save() {
            if ($("#Time").val() == '') {
                toastr.warning("提醒时间不能为空");
                return;
            }

            if ($("#Context").val() == '') {
                toastr.warning("提醒内容不能为空");
                return;
            }

          

            $.ajax({
                type: "POST",
                url: "/DailyManagement/SaveMemoBook",
                dataType: "json",
                global: false,
                async: false,
                data: $('form').serializeArray(),
                success: function (data) {
                   
                    if (data.Result) {
                        parent.layer.msg('成功保存', { icon: 6 });

                        try {

                            _pageAutoClose();//自动关闭页面方法
                        }
                        catch (err) {

                        }

                    }
                    else {
                        // toastr.error("失败");
                        parent.layer.msg(data.Message, { icon: 5 });
                    }

                },
                error: function () {

                    parent.layer.msg('失败', { icon: 5 });
                }
            });
        }

        function _pageAutoClose() {

            parent.window._reloadPageData();
            var index = parent.layer.getFrameIndex(window.name);
            parent.layer.isRefresh = true;
            parent.layer.closeAll('loading');
            //layer.closeAll();
            parent.layer.close(index);
            $(".layui-layer-close").click();
            return false;
        }
    </script>
</body>
</html>
